/**********************************************************************************************
    Copyright (C) 2007 Oliver Eichler oliver.eichler@gmx.de

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111 USA

**********************************************************************************************/

#include "CDlgDevice.h"
#include "CCentralResources.h"

#include <QtGui>

#define XSTR(x) STR(x)
#define STR(x) #x


CDlgDevice::CDlgDevice(QWidget * parent)
    : QDialog(parent)
{
    setupUi(this);

    QRegExp regex("lib(.*)\\.so");
    QString file;

    QDir dir(gpResources->altPluginPath.isEmpty() ? XSTR(QL_LIBDIR) : gpResources->altPluginPath);
    QStringList files = dir.entryList(QString("*.so").split(','));
    foreach(file,files){
        if(regex.exactMatch(file)){
            comboDev->addItem(regex.cap(1));
        }
    }
    comboDev->setCurrentIndex(comboDev->findText(gpResources->m_DeviceName));

    connect(lblLink,SIGNAL(linkActivated(const QString&)),this,SLOT(slotHomepage(const QString&)));
}

CDlgDevice::~CDlgDevice()
{

}

void CDlgDevice::accept()
{
    gpResources->m_DeviceName = comboDev->currentText();

    QDialog::accept();
}

void CDlgDevice::slotHomepage(const QString& link)
{
    gpResources->openLink(link);
}
